Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007161Dwarf FortressGeneralpublic2014-07-12 16:012017-11-11 15:38
ReporterJoryFarice 
Assigned ToDwarfu 
PrioritynormalSeveritymajorReproducibilityalways
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Version0.40.02 
Target VersionFixed in Version 
Summary0007161: Morale is screwy across all modes
DescriptionIn several generated worlds and in every mode, I have been unable to properly fight any form of foe.

The AI (for my own dwarves as well as for whatever it is I am attacking) immediately rushes into fear and runs away from myself or, in the case of my dwarves, any opponent I send them after.

These dwarves are not particularly cowardly but as soon as I sent them outside to attack elven merchants, they broke and ran off, several climbing trees and even more running into the river and drowning.

Of further note, there have been no invasions of my territory across several years by any forgotten beasts, megabeasts, or goblins at all. (I attacked the merchants with the intention of starting something with the elves).

---

In the case of adventure mode, no enemies attack me at all save for bogeymen. Goblin bandits (as an example) are not hostile towards me (and in fact run first) unless I attack them first (even then, they are not guaranteed to attack back). These invaders, also, do not fight any NPCs of the group they are attacking. Any ambushes also end with nothing happening unless, again, I attack first - this includes attacks by wild animals who are content to stand around and let me kill them.

Steps To ReproduceDwarf Mode:

- Create army/squads

- Attack merchants

- Watch everything freak out.

---

Adventure Mode:

(1):
- Walk around with sword drawn

- "Is this an attack?"

- Watch everything freak out

(2):
- Get ambushed.

- Nothing occurs.

(3):
- Get ambushed.

- Draw weapons.

- "Is this an attack?!"

- Watch ambushers flee.

(Sheathing your weapon can lead to the ambushers, if they are humanoid,returning to their positions and be open to conversation. Animals are, of course, not talkative.)
Additional InformationI did not go too much into the invasions because I have even less of a clue of why they are not occurring, but I had checked the area before I began and I should have had goblins attacking me, but a few years have passed and nothing has happened yet. I also do not have any problems with kobolds, goblin snatchers, or any kind of megabeast, which is unfortunate.

TagsAI, combat, morale
Attached Files

- Relationships
related to 0006547resolvedToady One Wolves passive in adventure mode. 
related to 0007739resolvedToady One Hostile sites appear to be lost from contact, resulting in lack of fort invasions 
parent of 0007815acknowledgedDwarfu Necromancers scared off by sheep 
parent of 0006663resolvedToady One Necromancers afraid of/killed by their own undead 
has duplicate 0008050resolvedFootkerchief Siege broken by a kitten 
related to 0007570resolvedToady One Undead invaders do not path to fortress 
related to 0007435confirmedFootkerchief Dwarves overwhelmed by horror at the sight of the refuse stockpile 
related to 0007595confirmedFootkerchief Merchants petrified with fear by were-creatures 
related to 0007185confirmedFootkerchief Horrified merchants immediately destroy their wagons, pack their goods and leave the depot 
related to 0006680resolvedToady One Companions crouch in fear after conflict is over. 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0026043)
cephalo (reporter)
2014-07-12 16:17

Don't invasions have to have an actual world source now? There's all kinds of reasons why an army wouldn't arrive. Are you at war with anyone?
(0026044)
JoryFarice (reporter)
2014-07-12 16:21
edited on: 2014-07-12 16:28

My civilization is at war with the goblins, iirc. I actually thought of the same thing. Either way, there is nothing at all attacking me, no beasts, no thieves, nothing. This occurred in previous forts as well during my time screwing around with the new functions.

I'm going to look further into this and pay closer attention though.

Edit: The screwy morale can be noticed in the arena as well as everything that is not a megabeast is usually content to stand around and die. Sometimes humanoids will attack, but other times not.

(0026051)
JoryFarice (reporter)
2014-07-12 16:54

http://dffd.wimbli.com/file.php?id=8922 [^]

I've uploaded my save for anyone who wants to check it out. I currently am sending my Guard out to kill some elf merchants. As soon as you set the dwarves to attack the elves, they all flee save for the marksdwarf.

Occasionally some of the dwarves come back to fight only to run away again.
(0026052)
Rafal99 (reporter)
2014-07-12 16:56

Tip: Elves and humans usually don't care about their merchants. If you want war with them you need to kill their Diplomat. At least this is how it worked in earlier versions.
(0026054)
JoryFarice (reporter)
2014-07-12 16:58

Fair enough. Sadly, I haven't gotten an elven diplomat yet. Were they added in yet, I though they were supposed to be.
(0026204)
samanato (reporter)
2014-07-13 14:40
edited on: 2014-07-13 14:44

This definitely has to do with problems related to discipline (or at least the people freaking out at absolutely everything does), as a lot of people in the modding forum have found out.

A workaround for this is adding a small amount of natural discipline skill to all civ races and (semi)megabeasts, and maybe even to dogs and predatory animals in general. A tweak-mod actually does exactly this: http://www.bay12forums.com/smf/index.php?topic=140460.msg5466447#msg5466447 [^])

Like so: [NATURAL_SKILL:DISCIPLINE:1]. Maybe 2, and even higher for (semi)megabeasts.

(0026383)
JoryFarice (reporter)
2014-07-14 16:16

All right, so morale and hostility is perfect in Dwarf Mode as it stands. Invasions, as stated earlier, was a cause of no hostile relations. As for the forgotten beasts/megabeasts, I may have just been lucky (unlucky?) with that.

However, Adventure Mode still has some problems, it seems, as enemies are still pretty tame.
(0026393)
ZzarkLinux (reporter)
2014-07-14 17:01
edited on: 2014-07-14 17:02

Thanks for posting this bug.

Moods and preferences are a great addition in v40 !! But it may need some adjustment:

Fort-Mode

(1) Squad of dogs flees from one kobold, and squads of kobolds flees from one dog
http://www.bay12forums.com/smf/index.php?topic=15096.msg5472638#msg5472638 [^]

(2) Conscripted Dwarves and Seiging Goblins get horrified by a single attack and panic

There are also reports of tantruming dwarves being horrified by their own actions, demons being horrified by their own actions, and whole squads of militia fleeing from a single titan. So this looks like an issue of "discipline" mood/modifier being too effective.

In the past, dwarves and goblins and zombies would attack each other without a second thought. The game's motto is "Strike the Earth!" and not "Flee from Elves!"

(0026774)
chaosvolt (reporter)
2014-07-17 13:06
edited on: 2014-07-17 15:14

I've seen so far that this bug, in Adventure Mode at least, even seems to extend to creatures that it SHOULDN'T affect due to the fearless token. I've had more hydras than I can count leg it from me, too fast to catch up to.

Meanwhile in my current game, I'm just walking into a spire built next to a goblin dark fortress. The trolls loitering in the entryway give exactly zero fucks about my waltzing into the place. If I find a vault I'll test whether angels are subject to morale.

(0027140)
JoryFarice (reporter)
2014-07-21 08:23

@Zzarklinux, if you want a real killer: clowns are also horrified by their own actions.

@chaosvolt, still happening in 40.04? I'm about to check.
(0027729)
chaosvolt (reporter)
2014-07-27 16:44

@JoryFarice: Seems to be the case, yes. I've found this out while cooking up some Kobold Kamp, even tacking on some levels of natural discipline to most creatures, there's still the occasional panic.

On the plus side, I found out angels aren't subject to morale. Neither are bronze colossi or titans.

As far as I can tell, the only current fix for morale is slapping on the token for emotionlessness. Since hydrae alreaqdy have the NO_FEAR token, it seems that token doesn't affect morale.
(0027732)
smjjames (reporter)
2014-07-27 17:08

Aren't the escaped demons supposed to have the [NO_FEAR] token? Because those are pretty damn cowardly.
(0028346)
Dwarfu (manager)
2014-08-04 20:46
edited on: 2014-08-05 07:09

Please keep this report related to morale/combat. The invasions beyond bandit groups are most likely covered by 0007739, but we'll have to wait and see.

(0028460)
Daonitre (reporter)
2014-08-06 08:42
edited on: 2014-08-06 08:53

Funny story that goes along with this (40.06). In my current fort I was attacked by an Ettin.
As he approached the base everyone ran from him (as expected),
he stepped on a dropped baby (expected),
he got scared of the death (that he just caused),
a miner decided he wanted revenge (he literally said something like "what am I doing? I'm a part of this. I'll get revenge" or something of that nature in the combat log and picked the ettin to death in about 4 shots (while it was still recovering from having killed a dwarf baby and not fighting back),
the Ettin corpse scared the cotton candy out of everyone that passed by it for the next 2 years (including the disciplined starter dwarves, my refuse pile is outside near the forts ramp entrance).
...my people are all now "use to trauma" due to seeing a "horrifying Ettin corpse" for 2 years every time they decided to go outside. Migrants still freak for a while of course. That 1 baby had so far been the only casualty.

no save unfortunately - I was too busy laughing to think about it being a bug.

(0028469)
Kanddak (reporter)
2014-08-06 10:16

Daonitre's experience suggests a possible workaround for the time being: intentionally store some horrifying corpses in the dining room until dwarves get used to them.
(0029114)
smjjames (reporter)
2014-08-15 14:58

*** Error(s) found in the file "data/save/region1/raw/objects/creature_standard.txt"
TROLL:Unrecognized Creature Token: NO_FEAR

Got this when I tried to test [NO_FEAR] on trolls, so, not sure if the tag no longer exists or what.
(0029120)
Daonitre (reporter)
2014-08-15 17:06
edited on: 2014-08-15 19:47

This appears to have become the central parent ticket of these horrific issues.. so I'll post my findings here.

Continuing to accidentally !science! this issue in 40.08... I've noticed a trend with corpses of certain creatures continuing to "scare" dwarves (and goblins on occasion) after they have been turned into corpses. I've verified this occurs with all "were-type" shapechangers, if killed while in their were-form.

Other corpses like Ettins, Trolls, and forgotten beasts appear to have this occur sometimes but not always.

I've never had a corpse of a "natural creature" (natural death, attack, or butchered) such as a wild bird or farm animal cause these thoughts; intelligent creatures (dwarves, goblins, "savage-species" like a kea-man) don't appear to cause horrific thoughts after the initial "omg something died" phase. Cause of death doesn't appear to matter.

Wagon deaths always give the traders immediate horrific thoughts, and sometimes also give your dwarves the same. Traders are subject to the same horrific thoughts as a fresh migrant - they'll freak and try to run (or force stand still) killing their wagon and causing the rest of the wagon train to either bug or leave. The additional bug is: if non-wagon traders have begun unloading then the rest of the wagons will bully their way to the Depot... where they'll sit forever. If one or more wagons have unloaded, then they will either pack up and leave, or more likely destroy their wagons as well and leave with whatever they can still carry.

The workaround I've found works the best so far:
Anytime you get a corpse that will scare people, put it somewhere NO ONE can see it until it's a skeleton (or at least until it won't cause miasma from rotting) - then dump it in a meeting hall that the traders will never see but preferably your dwarves will use. Don't put it in your only food or alcohol stockpiles though or you may end up with a particularly weak willed dwarf dehydrating himself from fear (I've had that happen). This will build up your own dwarves immunity while protecting the caravans from the ill thoughts and various trading bugs that are being caused by fear. (Edit: almost forgot - some werecreatures are too scary to be dumped.... if they are on your top layer use a miner to channel (d-h) the square they're in then floor over it so the traders don't freak. The only difference is one targets the corpse, the other targets the ground, not sure if that helps the people reviewing the tickets.)

Possible exploit: Place a corpse or 2 of these scary creatures in a secondary path into your base... close the primary when attacked and they'll scare away half or more of the goblin siege and I imagine it would do the same to human or elf sieges as well.

As always - awesome game. I've logged about 30 hours since 40.08 came out and even with the craziness it's more than playable.

(0029174)
Talvieno (reporter)
2014-08-17 09:46

smjjames - the correct tag is [NOFEAR] - [NO_FEAR] doesn't exist.

And adding to the screwy morale - elephants are terrified of dwarves.

To help with the morale issue, I'd like to suggest that larger creatures are weighted towards being less afraid of smaller ones, and smaller more afraid of larger.
(0029175)
smjjames (reporter)
2014-08-17 09:52

Oh whoops, shoulda checked the wiki then.

The generated demons (including the ones that escape) are supposed to have [NOFEAR] aren't they? The [NOFEAR] tag should override the morale to a certain degree.
(0029336)
Paphi (reporter)
2014-08-19 18:40

A troll on Z -12 is scaring my militia commander and a kitten around Z 130 and above. The militia commander and kitten run back and forth, the militia commander will do so until he dies of thirst. The kitten can be calmed by penning it (which it currently is), but if removed from the pen will immediately begin running in the same pattern as the militia commander as soon as it runs into the stairwell. Recruiting any random citizen and assigning them to kill the troll also seems to lock them into this back-and-forth run, but no civilians are affected by the troll.

http://dffd.wimbli.com/file.php?id=9451 [^]
(0029338)
Talvieno (reporter)
2014-08-19 19:52
edited on: 2014-08-20 13:19

You wanted a save, Toady? Coming right up. :)
https://www.dropbox.com/s/ij0y0tqsqwi5yaq/gearsquared.zip [^]

Press F2 to zoom to the dining hall level, press N and look around for the three notes - the lever you want to pull is in the middle of the three levers, at the bottom left of the dining hall. Press F1, which will zoom you to the top level and wait for the bridge to open (Holly should get around to it before long).

Select the whole military (they're stationed next to the gate, or should be) and have them attack the enemies (scythods, a modded race of mine) at the bottom-right outside the walls.

What you will see:
1. Dwarves rushing out with weapons drawn
2. A hail of arrows
3. The dwarves and enemies clashing.

4. My entire 45+ army falling to their knees in horror as the first enemy dies. Only one or two dwarves will be exempt from this.

edit: as an added bonus, it also includes the bug where invading units stay near their caged leader.

edit2: and there's the "Forgotten Beasts Can't Climb" bug if you go down to the third cavern layer - you'll find a forgotten beast in a tree.

third edit: Also, heavy FPS issues... I don't usually hit this level of FPS until four times as far along, so something can't be right.

(0029358)
smjjames (reporter)
2014-08-20 08:43

I was going to make this one a new issue, but since it's tied into the morale problems, I might as well post the save here.

So, Toady One, here's a morale related save relating to vampires. Also, remember the bug where you found night creatures up a tree because they freaked out about creatures deep underground? I bet this is similar.

40.09 Vampire in mead hall freaking out for no obvious reason: http://dffd.wimbli.com/file.php?id=9458 [^] (vampire is the one blinking and moving at mach speed)

I've noticed this before where the vampire would run around freaking out while everybody else isn't. Not sure how much of this has to do with vampires being able to see many z levels down into the caverns, but the morale is also involved. I've also seen the occasional <vampires name> just attacked <random cave critter> in the rumor announcements.

In the save, theres nothing you need to do to reproduce it, just stand there and watch him freak out.

Outside of the save, it's a little bit random because you have to find a vampire first. Most of the time they'll be freaking out, but I think there were a few where they weren't.
(0029401)
bralbaard (reporter)
2014-08-20 21:46
edited on: 2014-08-20 22:57

Here's another save (adventure mode, 40.09):

http://dffd.wimbli.com/file.php?id=9472 [^]

I was just ambushed by a goblin, instead of attacking me, he runs away in fear (you can still see him run, a bit to the south, you may have to expand your DF window a bit)
After going into travel mode the bug can be reproduced by bumping into his 'army' while travelling.

Another morale bug can be found when you travel (in travel mode) about 4 steps east and 5 or 6 south from your original position, you will discover a bandit camp. Most, if not all of the goblins in the camp will run away in fear when you enter the camp. Any goblins that are left will be friendly, or asleep.

(0029485)
Toady One (administrator)
2014-08-22 09:50

I'm not sure if I did something wrong, but I couldn't find the blinking vampire and the save was in a market. Was there a mead hall around there?

I've addressed the goblin ambush and the camp issue in that save, though I think there are still going to be problems with some (fewer) ambushes where the attackers flee due to morale failure (since it doesn't have the necessary information to do the full morale calculation from travel view). The camp issue was a pure bug with the bandit being alarmed by some old combat information (bug 1), and then equating their alarm with having fled from combat making them flee from you (bug 2).

The troll pattern was fixed (that was the Z level + old combat data bugs).

And the giant army collapsing from a single scythod death is better now -- only a few of the dwarves collapse, and looking at their personalities and the numbers, it works out to be the right ones.

This is a broader issue though -- I imagine this one will be open for a while even as the constituent bugs are fixed and the overall landscape shifts.
(0029492)
smjjames (reporter)
2014-08-22 10:04
edited on: 2014-08-22 10:24

@Toady One: Whoops, uploaded the wrong one somehow, that's what I get for not renaming the zip files.

I'll try to find another one, shouldn't be too hard.

Edit: Found one and uploaded a new save, same link as the post above. I think I'll grab a second one because I called that one out to make sure it was a vampire (though the hyperspeed makes it rather obvious) before I saved. It's the soap maker that is running around.

(0029495)
Talvieno (reporter)
2014-08-22 11:54

https://www.dropbox.com/s/gmoldkxouxdxe50/gimli_trolls.zip [^]

Here's a save with a ton of trolls that won't fight back and just sit there staring blankly. It's an older version - 40.07, I think.
(0029496)
smjjames (reporter)
2014-08-22 12:17
edited on: 2014-08-22 12:36

Still trying to find another vampire in a meadhall. I found a meadhall with a chieftess that was freaking out a bit who I thought was a vampire, however, I did the accuse after the save and she isn't a vampire.

http://dffd.wimbli.com/file.php?id=9487 [^] Nonvampire, she calms down after a moment.

Edit: Okay, found a second vampire in mead hall freaking out for no obvious reason. http://dffd.wimbli.com/file.php?id=9489 [^]

(0029499)
Toady One (administrator)
2014-08-22 12:36

Vampire randomly freaking out should be fixed (the cavern gremlins are very scary apparently), though I haven't messed with the accusation stuff yet.

Trolls that were not fighting back were seeing too many of their buddies first and it made you invisible. There's a difficult optimization issue to fix there, but I've patched it up for now by making them consider you first. That made the room much more active.
(0029502)
smjjames (reporter)
2014-08-22 12:42

Okay, I did upload a second vampire (could be more than just the gremlins, who knows) and uploaded one of a chieftess freaking out a bit for some reason, but she calms down after a moment. Not sure what is up with the chieftess though as she isn't a vampire and nobody else was freaking out, that I noticed.
(0029505)
Toady One (administrator)
2014-08-22 13:04

I think the chieftess and vampire freakouts have both been addressed by the fixes above (chieftess was alarmed by old conflict data, I think). Vampires hate you when outed, but there isn't enough there to really start a fight (like everybody around them thinking of them as a monster and them understanding that they are now thought of that way, etc.). I'll have to work on that later, but it's a bit much to bite off today.
(0029507)
smjjames (reporter)
2014-08-22 13:19
edited on: 2014-08-22 13:20

For the second vampire, I hadn't outed that one yet when I did the save, but okay, I guess it was the gremlins both times.

(0029616)
thvaz (reporter)
2014-08-25 12:12

I just would like to report that the morale system is a lot better. It looks very reasonable now, though it still needs some work.

In a meadhall I started attacking a children (I imagine it was the son of the lord there) and just the lord and the other children attacked me. The guards just commented on how terrifying it was, though they didn't look afraid (they didn't have the blue "!" ). The other children were fearless and tried to kill me.

In other situation bandits that were harassing people tried to rob me and attacked me after I refused, but after I killed one of them the other tried to run. Very believable, I think.

So, in other words, in some cases it looks like the medicine was too much (the attacking children). It looks like there is still some work to do on the loyalties of the heathpersons (they should have tried to defend the lord and the children)
(0029707)
smjjames (reporter)
2014-08-26 20:44

Minotaurs are still incredibly flighty. While this one that I'm at is unsheathing his steel short sword (minotaurs are actually armed now!, I think), the instant he sees me, he goes 'I must withdraw!' and runs off. Haven't even attacked the guy yet.

Don't really need a save as it's reproducible by just going to a minotaurs lair.
(0029708)
JoryFarice (reporter)
2014-08-26 22:07

Ahh, the joys of fighting a minotaur.
(0029778)
smjjames (reporter)
2014-08-29 12:22
edited on: 2014-08-29 12:29

Toady One, you might want to give ex-prisioners (some of them anyway) a courage boost because they take too long to snap out of it when they fall to the ground crying. It's also compounded by the fact that it's very laggy. Right now, I wish I could just pick up the kid as I move on or give him something to cheer him up and snap out of it.

Edit: Oops, forgot example save: http://dffd.wimbli.com/file.php?id=9558 [^]

(0029934)
smjjames (reporter)
2014-09-04 09:19

Here's one in 40.11 where most of the drunks are running around and not calming down, despite me having weapon and shield sheathed. I'm pretty sure I sheathed them before I entered that mound.

http://dffd.wimbli.com/file.php?id=9606 [^] Just push . and watch them run around, in and out of the mound. Also, when I went outside and came back in, they were fine.
(0029999)
smjjames (reporter)
2014-09-06 14:37
edited on: 2014-09-06 16:44

Bound demons are still rather cowardly and aren't treated as my ally, also don't fight back when hit by prisioners.

They could use a massive dose of [NO_FEAR].

http://dffd.wimbli.com/file.php?id=9635 [^]

Managed to get him off the site, but he is such an f'ng coward. Probably doesn't help that everybody attacks him on sight.

(0030062)
Toady One (administrator)
2014-09-09 10:21

The minotaurs were acting like civilized creatures -- I've given all the semi/megas that didn't have LARGE_PREDATOR that tag now, as it governs innate aggressiveness in adventure mode. The finer details will be sorted out when megabeasts are for more than just fighting.
(0030063)
Toady One (administrator)
2014-09-09 11:11

The drunks seem to be reacting to the fact that a raven ran away from you a while ago. It periodically alarms them, and then another issue causes them to not get back to position promptly... I'll see if I can fix all that.
(0030065)
Toady One (administrator)
2014-09-09 12:22

The demon was experiencing several problems -- its unit type was "administrator", which made it withdraw from all conflicts (even if fearless). So I made fearlessness carry over regardless of unit type, and I also made adventuring companions default to fighting as well, at least for now. It was also practicing goblin stranger-kill ethics -- I've turned those off for companions, and goblin stranger-kill ethics were being applied to their own prisoners if they saw them.
(0030066)
smjjames (reporter)
2014-09-09 12:42
edited on: 2014-09-09 12:45

The thing with the raven might be connected to the fact that encounters with wildlife are marked as attacks and added into rumors as 'so and so attacked adventurer'. Which 0006889 would be a manefestation of.

(0030086)
smjjames (reporter)
2014-09-10 09:01
edited on: 2014-09-10 09:05

I suspect this one has been fixed already via "Made non-soldier adventure companions not default to flight (this could include giant demons, etc.)" or one of the other morale fixes, but could you check this instance of three rescued prisoners running back and forth towards and away from me?

They acted like that (running around all over) while in the dark fortress, but I assumed that was because they were scared by the corpses.

http://dffd.wimbli.com/file.php?id=9662 [^]

You can reset them and see them do it again when you go to fast travel, move a bit and then exit fast travel.

(0030090)
Toady One (administrator)
2014-09-10 13:24

Apparently I packed the wrong creature raws into 40.12 -- to fix the minotaur, just add LARGE_PREDATOR. It'll be in 40.13, whenever that is.
(0030102)
smjjames (reporter)
2014-09-11 08:24
edited on: 2014-09-11 09:00

Uhhhh, wtf, I was walking around the fort when suddenly out of absolutely nowhere, I get kicked in the gut, pass out and then killed.

When I was walking around, I did pass by a naked mole dog which had infiltrated the place and was trying to get out, plus I had the combat movement arrows going, so that might have had something to do with it, but yeah, attack out of no freaking where.

I'm already dead (the first shot KO'd me) in the save, but maybe you can look at it with the dev tools. I put a snippet of the gamelog into the DFFD post.

http://dffd.wimbli.com/file.php?id=9668 [^]

EDIT: Caught it at the start this time. This time, it's from the cats freaking out over some troglodytes (who are just chilling and not attacking anybody) near the cavern entrance up a few z levels. Ignore the smoke, that's just me accidentially making a campfire while picking up my previous adventurers stuff and I went into yield mode as a precaution.

http://dffd.wimbli.com/file.php?id=9669 [^]

Edit: Nobody attacked me that time though, fortunately.....

Edit3: It happened again as I went back up the ramp to the trade depot, so it's reproducible.

(0030103)
aquathug (reporter)
2014-09-11 08:58

Visited a fortress in adv mode that was being visited by humans when a large swarm of goblins attacked. It included a force of mostly civilians... When I killed a couple to try and help out the fortress the dwarves became hostile towards me and started attacking, as did the humans.
(0030104)
Footkerchief (manager)
2014-09-11 09:13

aquathug, if you have a save that reproduces the problem, please upload it to http://dffd.wimbli.com/ [^] and post the link here.
(0030202)
aquathug (reporter)
2014-09-15 08:51

http://dffd.wimbli.com/file.php?id=9705 [^]

I am currently knee deep in blood in this bit, but if you walk around you will be attacked by other dwarves. I think if you go back up topside the administrator at the depot will spit at you if you try to talk to him.
(0030451)
Tom (reporter)
2014-09-29 13:32
edited on: 2014-09-29 15:42

Not that morale related, but are goblins not supposed to climb into your fort? Was climbing AI nerfed too much?
I've also found in adventurer mode that companions refuse to swim unless there is something to kill in the river

(0030454)
Robsoie (reporter)
2014-09-29 14:01
edited on: 2014-09-29 14:03

Similarly, all the forts i ran in df2014 since the original releases always had only a 1 tile high wooden wall (so not even smoothed) due to how very easy you get tons of wood, and 0 goblins invaders (at least when it happened, as for several version there was no more invaders) ever tried to climb my small wooden walls to get into the inner fortress.
It's no different than in 34.11 where invaders weren't able to climb because climb didn't exist yet (while df2014 invaders are supposed to be able to do so but from my observations never did)

For adventure mode, extremely rarely i have a party member that cross a river with me, but it really -extremely rare-.

(0030544)
smjjames (reporter)
2014-10-05 13:17

Here's one where the reaction is just confusing. For some reason, the goblin residents of an abandoned/ruined town are running from me and going to 'No Quarter' status for no logical reason. I've visited other ruined/abandoned towns and haven't seen this behavior before, so, I don't understand what's going on here.

http://dffd.wimbli.com/file.php?id=9859 [^] (I gave steps to reproduce in the save posting)

Might be linked in some way to 0008402 since it's the same town and the same save.
(0030606)
smjjames (reporter)
2014-10-10 14:31
edited on: 2014-10-10 15:46

not entirely sure if it's a bug so much as needs an adjustment, when I attack with zombies in a market, they don't seem to be running around screaming as much as they should, and sometimes they just stand there saying the usual market chatter.

Can't really pin it down as an obvious bug though.

Edit: Here's a definite bug, your necromancer adventurers zombies sometimes just stop fighting and not attack back when attacked. They WERE fighting earlier, but they just sort of suddenly stopped. This is while attacking a dark tower, and at the moment of the save, it's actually the second time they stopped fighting back. I'm trying to fight indirectly because if I try to attack with all my zombies around, I'll crash due to 0008316.

http://dffd.wimbli.com/file.php?id=9895 [^]

(0030613)
bralbaard (reporter)
2014-10-12 05:03

Would additional saves be useful at this point, or will the thought/emotion rewrite be so involved that saves in current games would be outdated?

I could produce another save game where I am ambushed by a lot of enemies that all seem to suffer from morale failure (df 40.13, game started in df 40.08)
(0030614)
smjjames (reporter)
2014-10-12 07:42

Yeah, the thought/emotion rewrite is so extensive that morale is likely to be affected.

The last two saves are just me being confused about a reaction and one that is specific to zombies and isn't likely to be affected by the thought/emotion rewrite. So, yea, the rewrite is likely to expose more bugs with morale.
(0030733)
Robsoie (reporter)
2014-10-26 04:33
edited on: 2014-10-26 04:33

40.14 (world generated in 40.14 too), save :
http://dffd.wimbli.com/file.php?id=9975 [^]

I played a character after killing things decided , after the demise of the Lady of a castle apparently by a goblin (as that goblin was a * on world map and went inside the castle), to kill the goblin and claim the castle, the claim was successful .

I decided to retire the character and play another one to visit the new lord.

When i arrived near the castle i noticed lots of sounds, i thought it was a battle so i went in and noticed the new lord alone, talked to him and he told me he was angry at someone because he was the slayer of someone else

Looking more closely at the names, it appears that the new lord (my old character) is actually angry at .. himself ?

(0030889)
smjjames (reporter)
2014-11-06 12:02

0008520 may have a morale component to it, but it seems more complex than simply morale.
(0031078)
smjjames (reporter)
2014-11-19 13:22

The oddness with zombies not attacking aggressive stuff or sometimes stop attacking alltogether is still around. I've had two instances of wildlife ambushes where the zombies just sat around letting the animals attack and not responding back.
(0031237)
Milias (reporter)
2014-12-02 10:18

Another user checking in, have had a fortress going for a while, and it seems the issue with the dwarves all having issues seeing the corpses of in my case trogdolytes and such causing vast numbers of terrified at seeing X die which makes some of them get upset, though most are on the edge persists.

this is in 0.40.18, i have yet to try 0.40.19 doesn't mention anything with regards to this issue though.
(0032493)
Qrox (reporter)
2015-04-02 03:32

In 40.24, army dwarfs now properly fight off invasions and execute annihilation orders. That might be because I recruit dwarfs from those migrants who already had combat knowledge so I'm not sure if this is completely resolved. On the other hand, civilians now are too eager to fight every (hostile?) wildlife they encounter, such as crundles etc., resulting in them sometimes being severely crippled.
(0033049)
untrustedlife (reporter)
2015-09-14 06:23

Was teaching a friend to play adventure mode, and he attacked a kobold bandit camp (after being told about it by a dwarf in his starting hillocks, after selecting "skulking vermin"), and the kobolds never attacked back, even when he was slaughtering them left and right, they just stood there, some of them cried. Eventually they ran away, (because he killed so many), but they never ever tried to defend themselves. I might be able to get the save from him.


After the massacre was done, he told the people in the nearest human town about it, and they called him a killer. He hasnt gotten back to the hillocks yet though to tell the guy who actually gave him the quest.
(0033740)
mispy (reporter)
2015-12-10 13:26

This has been much better for me in 0.42.02. Agree about civilians being far too brave, though (the worst is when they see an enemy and then *climb over the walls* to get to it. surely you are not so eager for death, dear Urist)
(0033741)
Talvieno (reporter)
2015-12-10 13:33

They do seem far too brave now, I agree. At this point the only difference between a militia and civilians is that one has weapons, and the other is always active.
(0033953)
Killzemallgod (reporter)
2015-12-15 23:12

In adventure mode I started killing everyone in a fort, civilians did stand by and only yelling out that I killed people in the area did the guards attempt combat.
Does feel like its a conflict between discipline and emotions.

Adventure mode does feel the most weird due to the way you can act.
(0035456)
thvaz (reporter)
2016-06-21 15:18

I got a quest from a lord to kill a vampire. When I unmasked her, she didn't attack, instead she yielded and didn't even try to run. After I killed her (it was a order from a lord), the inhabitants of the village hated me.

The same was happening with bandits in a camp. Most of them were asleep, and the ones that didn't wouldn't do anything. some of them would attack if you attacked them first, but most wouldn't do anything.

0.43.04
(0035464)
chaosvolt (reporter)
2016-06-22 00:25

Wow. Holy shit, this bug still exists. I recall back when hydrae would just nope the fuck away from me at the speed of sound. I'm assuming that now it's more an issue of bandits and civvies fleeing?

Funny that recently (43.03), rampaging as a modded-playable megabeast I'd often have CHILDREN banzai-charging me more often than proper soldiers.
(0036696)
Nilsou2 (reporter)
2017-08-14 14:17

Can, confirm that the moral is screwed but in the other way. Dwarves are waaaaay too resistant to moral issue now ... And evend causing lot of death surrounding a dwarves will let him do its job without problem.
I think alcohol have a large effect that is a bit cheaty and that stress barrier is way too high for dwarves now.
Even modding dwarves to make them accumulate stress faster don't solve the problem.
(0036711)
Loci (manager)
2017-08-30 06:36

@Nilsou2:

"Morale" is when dwarves (or merchants) run away from goblin teeth because they're scared. "Stress" is when dwarves go insane from having too many bad thoughts. Stress is currently unbalanced, but that's 0009074.

- Issue History
Date Modified Username Field Change
2014-07-12 16:01 JoryFarice New Issue
2014-07-12 16:17 cephalo Note Added: 0026043
2014-07-12 16:21 JoryFarice Note Added: 0026044
2014-07-12 16:28 JoryFarice Note Edited: 0026044 View Revisions
2014-07-12 16:54 JoryFarice Note Added: 0026051
2014-07-12 16:56 Rafal99 Note Added: 0026052
2014-07-12 16:58 JoryFarice Note Added: 0026054
2014-07-12 18:23 Kennel Tag Attached: AI
2014-07-12 18:23 Kennel Tag Attached: combat
2014-07-12 18:23 Kennel Tag Attached: morale
2014-07-13 14:40 samanato Note Added: 0026204
2014-07-13 14:41 samanato Note Edited: 0026204 View Revisions
2014-07-13 14:43 samanato Note Edited: 0026204 View Revisions
2014-07-13 14:44 samanato Note Edited: 0026204 View Revisions
2014-07-13 14:44 samanato Note Edited: 0026204 View Revisions
2014-07-13 14:44 samanato Note Edited: 0026204 View Revisions
2014-07-14 16:16 JoryFarice Note Added: 0026383
2014-07-14 17:01 ZzarkLinux Note Added: 0026393
2014-07-14 17:02 ZzarkLinux Note Edited: 0026393 View Revisions
2014-07-17 13:06 chaosvolt Note Added: 0026774
2014-07-17 15:14 chaosvolt Note Edited: 0026774 View Revisions
2014-07-21 05:46 Mopsy Issue Monitored: Mopsy
2014-07-21 07:12 Footkerchief Relationship added related to 0006547
2014-07-21 08:23 JoryFarice Note Added: 0027140
2014-07-27 16:44 chaosvolt Note Added: 0027729
2014-07-27 17:08 smjjames Note Added: 0027732
2014-08-04 20:46 Dwarfu Note Added: 0028346
2014-08-04 20:46 Dwarfu Relationship added related to 0007739
2014-08-04 20:48 Dwarfu Assigned To => Dwarfu
2014-08-04 20:48 Dwarfu Status new => confirmed
2014-08-04 20:48 Dwarfu Summary Morale is screwy across all modes and no invasions. => Morale is screwy across all modes
2014-08-04 20:49 Dwarfu Relationship added related to 0007570
2014-08-04 20:54 Dwarfu Relationship added parent of 0007815
2014-08-04 20:54 Dwarfu Relationship added parent of 0006663
2014-08-04 21:26 samanato Issue Monitored: samanato
2014-08-04 23:00 Dwarfu Sticky Issue No => Yes
2014-08-04 23:49 Talvieno Issue Monitored: Talvieno
2014-08-05 07:09 Dwarfu Note Edited: 0028346 View Revisions
2014-08-06 08:42 Daonitre Note Added: 0028460
2014-08-06 08:49 Footkerchief Relationship added related to 0007435
2014-08-06 08:53 Daonitre Note Edited: 0028460 View Revisions
2014-08-06 09:38 thvaz Issue Monitored: thvaz
2014-08-06 10:16 Kanddak Note Added: 0028469
2014-08-06 13:22 Dwarfu Relationship added related to 0007595
2014-08-06 13:23 Dwarfu Relationship added related to 0007185
2014-08-15 09:32 Daonitre Issue Monitored: Daonitre
2014-08-15 14:58 smjjames Note Added: 0029114
2014-08-15 17:06 Daonitre Note Added: 0029120
2014-08-15 19:47 Daonitre Note Edited: 0029120 View Revisions
2014-08-17 09:46 Talvieno Note Added: 0029174
2014-08-17 09:52 smjjames Note Added: 0029175
2014-08-18 07:05 Footkerchief Relationship added has duplicate 0008050
2014-08-19 18:40 Paphi Note Added: 0029336
2014-08-19 19:52 Talvieno Note Added: 0029338
2014-08-19 19:54 Talvieno Note Edited: 0029338 View Revisions
2014-08-19 19:55 Talvieno Note Edited: 0029338 View Revisions
2014-08-19 22:00 Talvieno Note Edited: 0029338 View Revisions
2014-08-20 08:43 smjjames Note Added: 0029358
2014-08-20 13:19 Talvieno Note Edited: 0029338 View Revisions
2014-08-20 21:46 bralbaard Note Added: 0029401
2014-08-20 21:47 bralbaard Note Edited: 0029401 View Revisions
2014-08-20 22:57 bralbaard Note Edited: 0029401 View Revisions
2014-08-22 09:50 Toady One Note Added: 0029485
2014-08-22 10:04 smjjames Note Added: 0029492
2014-08-22 10:05 smjjames Note Edited: 0029492 View Revisions
2014-08-22 10:24 smjjames Note Edited: 0029492 View Revisions
2014-08-22 11:54 Talvieno Note Added: 0029495
2014-08-22 12:17 smjjames Note Added: 0029496
2014-08-22 12:35 smjjames Note Edited: 0029496 View Revisions
2014-08-22 12:36 Toady One Note Added: 0029499
2014-08-22 12:36 smjjames Note Edited: 0029496 View Revisions
2014-08-22 12:42 smjjames Note Added: 0029502
2014-08-22 13:04 Toady One Note Added: 0029505
2014-08-22 13:19 smjjames Note Added: 0029507
2014-08-22 13:20 smjjames Note Edited: 0029507 View Revisions
2014-08-22 16:26 Tom Issue Monitored: Tom
2014-08-25 12:12 thvaz Note Added: 0029616
2014-08-26 20:44 smjjames Note Added: 0029707
2014-08-26 22:07 JoryFarice Note Added: 0029708
2014-08-29 12:22 smjjames Note Added: 0029778
2014-08-29 12:22 smjjames Note Edited: 0029778 View Revisions
2014-08-29 12:29 smjjames Note Edited: 0029778 View Revisions
2014-09-04 09:19 smjjames Note Added: 0029934
2014-09-05 08:19 4maskwolf Issue Monitored: 4maskwolf
2014-09-06 14:37 smjjames Note Added: 0029999
2014-09-06 16:44 smjjames Note Edited: 0029999 View Revisions
2014-09-09 10:21 Toady One Note Added: 0030062
2014-09-09 11:11 Toady One Note Added: 0030063
2014-09-09 12:22 Toady One Note Added: 0030065
2014-09-09 12:42 smjjames Note Added: 0030066
2014-09-09 12:45 smjjames Note Edited: 0030066 View Revisions
2014-09-09 18:50 Footkerchief Relationship added related to 0006680
2014-09-10 09:01 smjjames Note Added: 0030086
2014-09-10 09:05 smjjames Note Edited: 0030086 View Revisions
2014-09-10 13:24 Toady One Note Added: 0030090
2014-09-11 08:24 smjjames Note Added: 0030102
2014-09-11 08:41 smjjames Note Edited: 0030102 View Revisions
2014-09-11 08:48 smjjames Note Edited: 0030102 View Revisions
2014-09-11 08:50 smjjames Note Edited: 0030102 View Revisions
2014-09-11 08:56 smjjames Note Edited: 0030102 View Revisions
2014-09-11 08:58 aquathug Note Added: 0030103
2014-09-11 09:00 smjjames Note Edited: 0030102 View Revisions
2014-09-11 09:13 Footkerchief Note Added: 0030104
2014-09-15 08:51 aquathug Note Added: 0030202
2014-09-29 13:32 Tom Note Added: 0030451
2014-09-29 14:01 Robsoie Note Added: 0030454
2014-09-29 14:02 Robsoie Note Edited: 0030454 View Revisions
2014-09-29 14:03 Robsoie Note Edited: 0030454 View Revisions
2014-09-29 15:40 Tom Note Edited: 0030451 View Revisions
2014-09-29 15:42 Tom Note Edited: 0030451 View Revisions
2014-10-05 13:17 smjjames Note Added: 0030544
2014-10-09 12:20 NekoHatsu Issue Monitored: NekoHatsu
2014-10-10 14:31 smjjames Note Added: 0030606
2014-10-10 15:43 smjjames Note Edited: 0030606 View Revisions
2014-10-10 15:46 smjjames Note Edited: 0030606 View Revisions
2014-10-12 05:03 bralbaard Note Added: 0030613
2014-10-12 07:42 smjjames Note Added: 0030614
2014-10-26 04:33 Robsoie Note Added: 0030733
2014-10-26 04:33 Robsoie Note Edited: 0030733 View Revisions
2014-11-06 12:02 smjjames Note Added: 0030889
2014-11-19 13:22 smjjames Note Added: 0031078
2014-12-02 10:18 Milias Note Added: 0031237
2015-04-02 03:32 Qrox Note Added: 0032493
2015-09-14 06:23 untrustedlife Note Added: 0033049
2015-11-16 10:35 sith15 Issue Monitored: sith15
2015-11-16 10:35 sith15 Issue End Monitor: sith15
2015-12-10 13:26 mispy Note Added: 0033740
2015-12-10 13:33 Talvieno Note Added: 0033741
2015-12-15 23:12 Killzemallgod Note Added: 0033953
2016-01-13 21:15 Hedede Issue Monitored: Hedede
2016-06-21 15:18 thvaz Note Added: 0035456
2016-06-22 00:25 chaosvolt Note Added: 0035464
2016-06-22 00:26 chaosvolt Issue Monitored: chaosvolt
2017-08-14 14:17 Nilsou2 Note Added: 0036696
2017-08-30 06:36 Loci Note Added: 0036711
2017-11-11 10:07 chaosvolt Note Added: 0036855
2017-11-11 15:39 Loci Note Deleted: 0036855


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker